- Qt 6.8
- Qt 5 Core Compatibility APIs
- QStringRef Proxy Page
- Qt 6.8.1 Reference Documentation

# QStringRef Proxy Page

## Functions

Q_DECL_IMPORT | operator<(const int &s1, const int &s2)
bool | operator<=(const int &s1, const int &s2)
Q_DECL_IMPORT | operator==(const int &s1, const int &s2)
Q_DECL_IMPORT | operator==(int s1, const int &s2)
bool | operator>(const int &s1, const int &s2)
bool | operator>=(const int &s1, const int &s2)

## Function Documentation

### `[noexcept]` Q_DECL_IMPORT operator<(const int &s1, const int &s2)

Returns `true` if string reference s1 is lexically less than string reference s2; otherwise returns `false`.

See also Comparing Strings.

### `[noexcept]` bool operator<=(const int &s1, const int &s2)

Returns `true` if string reference s1 is lexically less than or equal to string reference s2; otherwise returns `false`.

See also Comparing Strings.

### `[noexcept]` Q_DECL_IMPORT operator==(const int &s1, const int &s2)

Returns `true` if string reference s1 is lexically equal to string reference s2; otherwise returns `false`.

### `[noexcept]` Q_DECL_IMPORT operator==(int s1, const int &s2)

Returns `true` if string s1 is lexically equal to string reference s2; otherwise returns `false`.

### `[noexcept]` bool operator>(const int &s1, const int &s2)

Returns `true` if string reference s1 is lexically greater than string reference s2; otherwise returns `false`.

See also Comparing Strings.

### `[noexcept]` bool operator>=(const int &s1, const int &s2)

Returns `true` if string reference s1 is lexically greater than or equal to string reference s2; otherwise returns `false`.

See also Comparing Strings.